Update field value in bundle step

Allows you to change the value of a field in a specific bundle step.

Important: You can only change field values for paused solution installations. If the installation is active, you must pause it first.

Selecting a value from a list: If the field supports a list of values, you must specify the value using a colon in the following format:

{
  "cf__8ad75c5a8821cc294f189181722acb56": "{%831983:C%}"
}
  • 831983 is the list identifier
  • C is the value to select from the list

Request example:

curl --location --request PUT 'https://api.albato.com/bundle/data/831984' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_TOKEN>' \
--data '{
    "data": {
        "cf__8ad75c5a8821cc294f189181722acb56": "{%831983:C%}"
    }
}'

Request body:

  • data (object): Object with field codes as keys and new values as values. For example, { "cf__8ad75c5a8821cc294f189181722acb56": "{%831983:C%}" }.

Response example:

{
    "success": true,
    "data": {
        "id": 831984
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Bundle step ID

Body Params
data
object

Object with field codes as keys and new values as values.

Responses

400

Bad request

422

Validation error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json